Skip to content
Start here

Update a Dataset

client.aiGateway.datasets.update(stringgatewayId, stringid, DatasetUpdateParams { account_id, enable, filters, name } params, RequestOptionsoptions?): DatasetUpdateResponse { id, created_at, enable, 4 more }
PUT/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/datasets/{id}

Updates an existing AI Gateway dataset.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway Write
ParametersExpand Collapse
gatewayId: string

gateway id

maxLength64
minLength1
id: string
params: DatasetUpdateParams { account_id, enable, filters, name }
account_id: string

Path param

enable: boolean

Body param

filters: Array<Filter>

Body param

key: "created_at" | "request_content_type" | "response_content_type" | 10 more
One of the following:
"created_at"
"request_content_type"
"response_content_type"
"success"
"cached"
"provider"
"model"
"cost"
"tokens"
"tokens_in"
"tokens_out"
"duration"
"feedback"
operator: "eq" | "contains" | "lt" | "gt"
One of the following:
"eq"
"contains"
"lt"
"gt"
value: Array<string | number | boolean>
One of the following:
string
number
boolean
name: string

Body param

ReturnsExpand Collapse
DatasetUpdateResponse { id, created_at, enable, 4 more }
id: string
created_at: string
formatdate-time
enable: boolean
filters: Array<Filter>
key: "created_at" | "request_content_type" | "response_content_type" | 10 more
One of the following:
"created_at"
"request_content_type"
"response_content_type"
"success"
"cached"
"provider"
"model"
"cost"
"tokens"
"tokens_in"
"tokens_out"
"duration"
"feedback"
operator: "eq" | "contains" | "lt" | "gt"
One of the following:
"eq"
"contains"
"lt"
"gt"
value: Array<string | number | boolean>
One of the following:
string
number
boolean
gateway_id: string

gateway id

maxLength64
minLength1
modified_at: string
formatdate-time
name: string

Update a Dataset

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const dataset = await client.aiGateway.datasets.update('my-gateway', 'id', {
  account_id: '3ebbcb006d4d46d7bb6a8c7f14676cb0',
  enable: true,
  filters: [
    {
      key: 'created_at',
      operator: 'eq',
      value: ['string'],
    },
  ],
  name: 'name',
});

console.log(dataset.id);
{
  "result": {
    "id": "id",
    "created_at": "2019-12-27T18:11:19.117Z",
    "enable": true,
    "filters": [
      {
        "key": "created_at",
        "operator": "eq",
        "value": [
          "string"
        ]
      }
    ],
    "gateway_id": "my-gateway",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "id",
    "created_at": "2019-12-27T18:11:19.117Z",
    "enable": true,
    "filters": [
      {
        "key": "created_at",
        "operator": "eq",
        "value": [
          "string"
        ]
      }
    ],
    "gateway_id": "my-gateway",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "name": "name"
  },
  "success": true
}